<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">

<html lang="en">

<head>
  <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
  <title>LCOV - report.info - /home/mila/Desktop/ProjekatRS/08-mainant/src/mainwindow.cpp</title>
  <link rel="stylesheet" type="text/css" href="../../../../../../gcov.css">
</head>

<body>

  <table width="100%" border=0 cellspacing=0 cellpadding=0>
    <tr><td class="title">LCOV - code coverage report</td></tr>
    <tr><td class="ruler"><img src="../../../../../../glass.png" width=3 height=3 alt=""></td></tr>

    <tr>
      <td width="100%">
        <table cellpadding=1 border=0 width="100%">
          <tr>
            <td width="10%" class="headerItem">Current view:</td>
            <td width="35%" class="headerValue"><a href="../../../../../../index.html">top level</a> - <a href="index.html">home/mila/Desktop/ProjekatRS/08-mainant/src</a> - mainwindow.cpp<span style="font-size: 80%;"> (source / <a href="mainwindow.cpp.func-sort-c.html">functions</a>)</span></td>
            <td width="5%"></td>
            <td width="15%"></td>
            <td width="10%" class="headerCovTableHead">Hit</td>
            <td width="10%" class="headerCovTableHead">Total</td>
            <td width="15%" class="headerCovTableHead">Coverage</td>
          </tr>
          <tr>
            <td class="headerItem">Test:</td>
            <td class="headerValue">report.info</td>
            <td></td>
            <td class="headerItem">Lines:</td>
            <td class="headerCovTableEntry">36</td>
            <td class="headerCovTableEntry">294</td>
            <td class="headerCovTableEntryLo">12.2 %</td>
          </tr>
          <tr>
            <td class="headerItem">Date:</td>
            <td class="headerValue">2021-03-29 02:25:54</td>
            <td></td>
            <td class="headerItem">Functions:</td>
            <td class="headerCovTableEntry">4</td>
            <td class="headerCovTableEntry">30</td>
            <td class="headerCovTableEntryLo">13.3 %</td>
          </tr>
          <tr><td><img src="../../../../../../glass.png" width=3 height=3 alt=""></td></tr>
        </table>
      </td>
    </tr>

    <tr><td class="ruler"><img src="../../../../../../glass.png" width=3 height=3 alt=""></td></tr>
  </table>

  <table cellpadding=0 cellspacing=0 border=0>
    <tr>
      <td><br></td>
    </tr>
    <tr>
      <td>
<pre class="sourceHeading">          Line data    Source code</pre>
<pre class="source">
<a name="1"><span class="lineNum">       1 </span>            : #include &quot;./headers/mainwindow.h&quot;</a>
<a name="2"><span class="lineNum">       2 </span>            : #include &quot;ui_mainwindow.h&quot;</a>
<a name="3"><span class="lineNum">       3 </span>            : </a>
<a name="4"><span class="lineNum">       4 </span><span class="lineCov">          1 : MainWindow::MainWindow(QWidget *parent)</span></a>
<a name="5"><span class="lineNum">       5 </span><span class="lineCov">          1 :     : QMainWindow(parent), ui(new Ui::MainWindow), p(new Parser), funcId(0),</span></a>
<a name="6"><span class="lineNum">       6 </span><span class="lineCov">          2 :       classId(0), classInstances({}) {</span></a>
<a name="7"><span class="lineNum">       7 </span><span class="lineCov">          1 :   ui-&gt;setupUi(this);</span></a>
<a name="8"><span class="lineNum">       8 </span><span class="lineCov">          1 :   setWindowTitle(&quot;:)&quot;);</span></a>
<a name="9"><span class="lineNum">       9 </span><span class="lineCov">          1 :   setWindowIcon(QIcon(</span></a>
<a name="10"><span class="lineNum">      10 </span>            :       &quot;./icon.ico&quot;)); // TODO program se izvrsava iz foldera buildmainant...</a>
<a name="11"><span class="lineNum">      11 </span>            : </a>
<a name="12"><span class="lineNum">      12 </span><span class="lineCov">          1 :   functionsListInit(this);</span></a>
<a name="13"><span class="lineNum">      13 </span>            : </a>
<a name="14"><span class="lineNum">      14 </span><span class="lineCov">          1 :   connect(ui-&gt;listWidget, SIGNAL(itemClicked(QListWidgetItem *)), this,</span></a>
<a name="15"><span class="lineNum">      15 </span>            :           SLOT(onPutNode(QListWidgetItem *)));</a>
<a name="16"><span class="lineNum">      16 </span><span class="lineCov">          1 :   connect(ui-&gt;listVars, SIGNAL(itemClicked(QListWidgetItem *)), this,</span></a>
<a name="17"><span class="lineNum">      17 </span>            :           SLOT(putVar(QListWidgetItem *)));</a>
<a name="18"><span class="lineNum">      18 </span><span class="lineCov">          1 :   connect(ui-&gt;FunctionView, SIGNAL(itemClicked(QListWidgetItem *)), this,</span></a>
<a name="19"><span class="lineNum">      19 </span>            :           SLOT(putFunction(QListWidgetItem *)));</a>
<a name="20"><span class="lineNum">      20 </span><span class="lineCov">          1 :   connect(ui-&gt;ClassView, SIGNAL(itemClicked(QListWidgetItem *)), this,</span></a>
<a name="21"><span class="lineNum">      21 </span>            :           SLOT(putClassInstance(QListWidgetItem *)));</a>
<a name="22"><span class="lineNum">      22 </span><span class="lineCov">          1 :   connect(ui-&gt;VariablesView, SIGNAL(itemClicked(QListWidgetItem *)), this,</span></a>
<a name="23"><span class="lineNum">      23 </span>            :           SLOT(putReference(QListWidgetItem *)));</a>
<a name="24"><span class="lineNum">      24 </span><span class="lineCov">          1 :   connect(ui-&gt;searchBar, &amp;QLineEdit::textChanged, this,</span></a>
<a name="25"><span class="lineNum">      25 </span>            :           &amp;MainWindow::filterFunctions);</a>
<a name="26"><span class="lineNum">      26 </span><span class="lineCov">          1 :   connect(ui-&gt;readVarNames, SIGNAL(clicked()), this,</span></a>
<a name="27"><span class="lineNum">      27 </span>            :           SLOT(onReadVariablesNames(void)));</a>
<a name="28"><span class="lineNum">      28 </span><span class="lineCov">          1 :   connect(ui-&gt;VisibleInstances, SIGNAL(clicked()), this,</span></a>
<a name="29"><span class="lineNum">      29 </span>            :           SLOT(addVisibleInstances(void)));</a>
<a name="30"><span class="lineNum">      30 </span>            : </a>
<a name="31"><span class="lineNum">      31 </span>            :   // connect(ui-&gt;horizontalLayout_2-&gt;, SIGNAL(), this,</a>
<a name="32"><span class="lineNum">      32 </span>            :   // SLOT(on_actionRun_triggered()));</a>
<a name="33"><span class="lineNum">      33 </span><span class="lineCov">          1 :   ui-&gt;StagingArea-&gt;setLayout(new CustomLayout(1));</span></a>
<a name="34"><span class="lineNum">      34 </span><span class="lineCov">          1 :   filterFunctions(); // Zove se da bi sortirao listu node-ova</span></a>
<a name="35"><span class="lineNum">      35 </span>            : </a>
<a name="36"><span class="lineNum">      36 </span><span class="lineCov">          1 :   auto *n = new StartNode();</span></a>
<a name="37"><span class="lineNum">      37 </span><span class="lineCov">          1 :   ui-&gt;StagingArea-&gt;addWidget(n);</span></a>
<a name="38"><span class="lineNum">      38 </span><span class="lineCov">          1 :   p-&gt;addNode(n, new QString(&quot;StartNode&quot;));</span></a>
<a name="39"><span class="lineNum">      39 </span><span class="lineCov">          1 :   p-&gt;addNewStart(n);</span></a>
<a name="40"><span class="lineNum">      40 </span>            : </a>
<a name="41"><span class="lineNum">      41 </span><span class="lineCov">          1 :   auto *r = new ReturnNode();</span></a>
<a name="42"><span class="lineNum">      42 </span><span class="lineCov">          1 :   ui-&gt;StagingArea-&gt;addWidget(r);</span></a>
<a name="43"><span class="lineNum">      43 </span><span class="lineCov">          1 :   p-&gt;addNode(r, new QString(&quot;ReturnNode&quot;));</span></a>
<a name="44"><span class="lineNum">      44 </span><span class="lineCov">          1 :   p-&gt;setHeader(&quot;cstdio&quot;);</span></a>
<a name="45"><span class="lineNum">      45 </span><span class="lineCov">          1 :   r-&gt;move(550, 0);</span></a>
<a name="46"><span class="lineNum">      46 </span><span class="lineCov">          1 :   r-&gt;setOldPos(QPoint(550, 0));</span></a>
<a name="47"><span class="lineNum">      47 </span><span class="lineCov">          1 : }</span></a>
<a name="48"><span class="lineNum">      48 </span>            : </a>
<a name="49"><span class="lineNum">      49 </span><span class="lineCov">          1 : MainWindow::~MainWindow() { delete ui; }</span></a>
<a name="50"><span class="lineNum">      50 </span>            : </a>
<a name="51"><span class="lineNum">      51 </span><span class="lineNoCov">          0 : void MainWindow::putClassInstance(QListWidgetItem *item) {</span></a>
<a name="52"><span class="lineNum">      52 </span><span class="lineNoCov">          0 :   QString construct = item-&gt;text();</span></a>
<a name="53"><span class="lineNum">      53 </span>            :   // qDebug()&lt;&lt;construct;</a>
<a name="54"><span class="lineNum">      54 </span>            :   /*if(construct.contains(&quot;:&quot;)){</a>
<a name="55"><span class="lineNum">      55 </span>            :       //to je red sa nazivom klase na to necemo da reagujemo</a>
<a name="56"><span class="lineNum">      56 </span>            :       return;</a>
<a name="57"><span class="lineNum">      57 </span>            :   }*/</a>
<a name="58"><span class="lineNum">      58 </span><span class="lineNoCov">          0 :   construct = construct.trimmed();</span></a>
<a name="59"><span class="lineNum">      59 </span><span class="lineNoCov">          0 :   QStringList list = construct.split(QRegExp(&quot;\\s+&quot;));</span></a>
<a name="60"><span class="lineNum">      60 </span>            :   // qDebug()&lt;&lt;list;</a>
<a name="61"><span class="lineNum">      61 </span><span class="lineNoCov">          0 :   if (list.size() == 1 || list.size() == 2) {</span></a>
<a name="62"><span class="lineNum">      62 </span>            :     // to je red sa nazivom klase na to necemo da reagujemo</a>
<a name="63"><span class="lineNum">      63 </span><span class="lineNoCov">          0 :     return;</span></a>
<a name="64"><span class="lineNum">      64 </span>            :   }</a>
<a name="65"><span class="lineNum">      65 </span><span class="lineNoCov">          0 :   QString ClassName = list[0];</span></a>
<a name="66"><span class="lineNum">      66 </span><span class="lineNoCov">          0 :   QVector&lt;QString&gt; argNames = {&quot;flow&quot;};</span></a>
<a name="67"><span class="lineNum">      67 </span><span class="lineNoCov">          0 :   QVector&lt;QString&gt; argTypes = {&quot; &quot;};</span></a>
<a name="68"><span class="lineNum">      68 </span><span class="lineNoCov">          0 :   if (list.size() == 3) {</span></a>
<a name="69"><span class="lineNum">      69 </span><span class="lineNoCov">          0 :     qDebug() &lt;&lt; &quot;Here&quot;;</span></a>
<a name="70"><span class="lineNum">      70 </span>            :     // znaci da konstruktor nema argumenata</a>
<a name="71"><span class="lineNum">      71 </span><span class="lineNoCov">          0 :     auto *n = new ClassInstanceNode(ClassName, argTypes, argNames);</span></a>
<a name="72"><span class="lineNum">      72 </span><span class="lineNoCov">          0 :     this-&gt;classInstances.push_back(n);</span></a>
<a name="73"><span class="lineNum">      73 </span><span class="lineNoCov">          0 :     ui-&gt;StagingArea-&gt;addWidget(n);</span></a>
<a name="74"><span class="lineNum">      74 </span><span class="lineNoCov">          0 :     p-&gt;addNode(n, new QString(&quot;ClassInstanceNode&quot;));</span></a>
<a name="75"><span class="lineNum">      75 </span><span class="lineNoCov">          0 :     return;</span></a>
<a name="76"><span class="lineNum">      76 </span>            :   } else {</a>
<a name="77"><span class="lineNum">      77 </span><span class="lineNoCov">          0 :     int i = 2;</span></a>
<a name="78"><span class="lineNum">      78 </span>            :     while (true) {</a>
<a name="79"><span class="lineNum">      79 </span><span class="lineNoCov">          0 :       argTypes.push_back(list[i]);</span></a>
<a name="80"><span class="lineNum">      80 </span><span class="lineNoCov">          0 :       argNames.push_back(list[i + 1]);</span></a>
<a name="81"><span class="lineNum">      81 </span>            : </a>
<a name="82"><span class="lineNum">      82 </span><span class="lineNoCov">          0 :       if (list[i + 2].compare(&quot;)&quot;) == 0) {</span></a>
<a name="83"><span class="lineNum">      83 </span><span class="lineNoCov">          0 :         break;</span></a>
<a name="84"><span class="lineNum">      84 </span>            :       }</a>
<a name="85"><span class="lineNum">      85 </span>            :       // ako i+2 nije ) onda  je to , pa mozemo da ga prekocmo</a>
<a name="86"><span class="lineNum">      86 </span><span class="lineNoCov">          0 :       i += 3;</span></a>
<a name="87"><span class="lineNum">      87 </span>            :     }</a>
<a name="88"><span class="lineNum">      88 </span>            :   }</a>
<a name="89"><span class="lineNum">      89 </span><span class="lineNoCov">          0 :   auto *n = new ClassInstanceNode(ClassName, argTypes, argNames);</span></a>
<a name="90"><span class="lineNum">      90 </span><span class="lineNoCov">          0 :   this-&gt;classInstances.push_back(n);</span></a>
<a name="91"><span class="lineNum">      91 </span><span class="lineNoCov">          0 :   ui-&gt;StagingArea-&gt;addWidget(n);</span></a>
<a name="92"><span class="lineNum">      92 </span><span class="lineNoCov">          0 :   p-&gt;addNode(n, new QString(&quot;ClassInstanceNode&quot;));</span></a>
<a name="93"><span class="lineNum">      93 </span>            : }</a>
<a name="94"><span class="lineNum">      94 </span>            : </a>
<a name="95"><span class="lineNum">      95 </span><span class="lineNoCov">          0 : void MainWindow::putFunction(QListWidgetItem *item) {</span></a>
<a name="96"><span class="lineNum">      96 </span><span class="lineNoCov">          0 :   QString funcDeclaration = item-&gt;text();</span></a>
<a name="97"><span class="lineNum">      97 </span>            : </a>
<a name="98"><span class="lineNum">      98 </span><span class="lineNoCov">          0 :   if (funcDeclaration.compare(&quot;private: &quot;) == 0 ||</span></a>
<a name="99"><span class="lineNum">      99 </span><span class="lineNoCov">          0 :        funcDeclaration.compare(&quot;protected: &quot;) == 0 ||</span></a>
<a name="100"><span class="lineNum">     100 </span><span class="lineNoCov">          0 :        funcDeclaration.compare(&quot;public: &quot;) == 0) {</span></a>
<a name="101"><span class="lineNum">     101 </span><span class="lineNoCov">          0 :      return;</span></a>
<a name="102"><span class="lineNum">     102 </span>            :    }</a>
<a name="103"><span class="lineNum">     103 </span>            : </a>
<a name="104"><span class="lineNum">     104 </span><span class="lineNoCov">          0 :   funcDeclaration = funcDeclaration.trimmed();</span></a>
<a name="105"><span class="lineNum">     105 </span><span class="lineNoCov">          0 :   QStringList list = funcDeclaration.split(QRegExp(&quot;\\s+&quot;));</span></a>
<a name="106"><span class="lineNum">     106 </span>            : </a>
<a name="107"><span class="lineNum">     107 </span><span class="lineNoCov">          0 :   QString retVal = list[0];</span></a>
<a name="108"><span class="lineNum">     108 </span><span class="lineNoCov">          0 :   QString funcName = list[1];</span></a>
<a name="109"><span class="lineNum">     109 </span>            : </a>
<a name="110"><span class="lineNum">     110 </span>            :   QVector&lt;QString&gt; funcTypes = {</a>
<a name="111"><span class="lineNum">     111 </span>            :       &quot; &quot;,</a>
<a name="112"><span class="lineNum">     112 </span><span class="lineNoCov">          0 :   };</span></a>
<a name="113"><span class="lineNum">     113 </span><span class="lineNoCov">          0 :   QVector&lt;QString&gt; funcNames = {&quot;flow&quot;};</span></a>
<a name="114"><span class="lineNum">     114 </span><span class="lineNoCov">          0 :   if (funcName.contains(&quot;::&quot;)) {</span></a>
<a name="115"><span class="lineNum">     115 </span><span class="lineNoCov">          0 :     funcTypes.append(&quot;void&quot;);</span></a>
<a name="116"><span class="lineNum">     116 </span><span class="lineNoCov">          0 :     funcNames.append(&quot;instance&quot;);</span></a>
<a name="117"><span class="lineNum">     117 </span>            :   }</a>
<a name="118"><span class="lineNum">     118 </span><span class="lineNoCov">          0 :   int listSize = list.size();</span></a>
<a name="119"><span class="lineNum">     119 </span>            :   // qDebug()&lt;&lt;list;</a>
<a name="120"><span class="lineNum">     120 </span><span class="lineNoCov">          0 :   if (listSize == 4) {</span></a>
<a name="121"><span class="lineNum">     121 </span><span class="lineNoCov">          0 :     auto *n = new FuncReferenceNode(retVal, funcName, funcTypes, funcNames);</span></a>
<a name="122"><span class="lineNum">     122 </span><span class="lineNoCov">          0 :     ui-&gt;StagingArea-&gt;addWidget(n);</span></a>
<a name="123"><span class="lineNum">     123 </span><span class="lineNoCov">          0 :     p-&gt;addNode(n, new QString(&quot;FuncReferenceNode&quot;));</span></a>
<a name="124"><span class="lineNum">     124 </span><span class="lineNoCov">          0 :     return;</span></a>
<a name="125"><span class="lineNum">     125 </span>            :   } else {</a>
<a name="126"><span class="lineNum">     126 </span><span class="lineNoCov">          0 :     int i = 3;</span></a>
<a name="127"><span class="lineNum">     127 </span>            :     while (true) {</a>
<a name="128"><span class="lineNum">     128 </span><span class="lineNoCov">          0 :       funcTypes.push_back(list[i]);</span></a>
<a name="129"><span class="lineNum">     129 </span><span class="lineNoCov">          0 :       funcNames.push_back(list[i + 1]);</span></a>
<a name="130"><span class="lineNum">     130 </span>            : </a>
<a name="131"><span class="lineNum">     131 </span><span class="lineNoCov">          0 :       if (list[i + 2].compare(&quot;)&quot;) == 0) {</span></a>
<a name="132"><span class="lineNum">     132 </span><span class="lineNoCov">          0 :         break;</span></a>
<a name="133"><span class="lineNum">     133 </span>            :       }</a>
<a name="134"><span class="lineNum">     134 </span>            :       // ako i+2 nije ) onda  je to , pa mozemo da ga prekocmo</a>
<a name="135"><span class="lineNum">     135 </span><span class="lineNoCov">          0 :       i += 3;</span></a>
<a name="136"><span class="lineNum">     136 </span>            :     }</a>
<a name="137"><span class="lineNum">     137 </span>            :   }</a>
<a name="138"><span class="lineNum">     138 </span>            : </a>
<a name="139"><span class="lineNum">     139 </span><span class="lineNoCov">          0 :   auto *n = new FuncReferenceNode(retVal, funcName, funcTypes, funcNames);</span></a>
<a name="140"><span class="lineNum">     140 </span><span class="lineNoCov">          0 :   ui-&gt;StagingArea-&gt;addWidget(n);</span></a>
<a name="141"><span class="lineNum">     141 </span><span class="lineNoCov">          0 :   p-&gt;addNode(n, new QString(&quot;FuncReferenceNode&quot;));</span></a>
<a name="142"><span class="lineNum">     142 </span>            : }</a>
<a name="143"><span class="lineNum">     143 </span>            : </a>
<a name="144"><span class="lineNum">     144 </span><span class="lineNoCov">          0 : void MainWindow::putVar(QListWidgetItem *item) {</span></a>
<a name="145"><span class="lineNum">     145 </span><span class="lineNoCov">          0 :   for (int i = 0; i &lt; _inicializedVars.size(); i++) {</span></a>
<a name="146"><span class="lineNum">     146 </span><span class="lineNoCov">          0 :     if (_inicializedVars[i] == item) {</span></a>
<a name="147"><span class="lineNum">     147 </span>            :       auto *n =</a>
<a name="148"><span class="lineNum">     148 </span><span class="lineNoCov">          0 :           new VariableReferenceNode(item-&gt;text(), this-&gt;_inicializedVarsIds[i]);</span></a>
<a name="149"><span class="lineNum">     149 </span><span class="lineNoCov">          0 :       ui-&gt;StagingArea-&gt;addWidget(n);</span></a>
<a name="150"><span class="lineNum">     150 </span><span class="lineNoCov">          0 :       p-&gt;addNode(n, new QString(&quot;VariableReferenceNode&quot;));</span></a>
<a name="151"><span class="lineNum">     151 </span>            :     }</a>
<a name="152"><span class="lineNum">     152 </span>            :   }</a>
<a name="153"><span class="lineNum">     153 </span><span class="lineNoCov">          0 : }</span></a>
<a name="154"><span class="lineNum">     154 </span>            : </a>
<a name="155"><span class="lineNum">     155 </span><span class="lineNoCov">          0 : void MainWindow::putReference(QListWidgetItem *item) {</span></a>
<a name="156"><span class="lineNum">     156 </span><span class="lineNoCov">          0 :   QString instance = item-&gt;text();</span></a>
<a name="157"><span class="lineNum">     157 </span><span class="lineNoCov">          0 :   instance = instance.trimmed();</span></a>
<a name="158"><span class="lineNum">     158 </span><span class="lineNoCov">          0 :   QStringList list = instance.split(QRegExp(&quot;\\s+&quot;));</span></a>
<a name="159"><span class="lineNum">     159 </span>            : </a>
<a name="160"><span class="lineNum">     160 </span><span class="lineNoCov">          0 :   QString varName = list[1];</span></a>
<a name="161"><span class="lineNum">     161 </span>            : </a>
<a name="162"><span class="lineNum">     162 </span><span class="lineNoCov">          0 :   for (int i = 0; i &lt; ui-&gt;VariablesView-&gt;count(); i++) {</span></a>
<a name="163"><span class="lineNum">     163 </span><span class="lineNoCov">          0 :     if (ui-&gt;VariablesView-&gt;item(i) == item) {</span></a>
<a name="164"><span class="lineNum">     164 </span>            :       auto *n =</a>
<a name="165"><span class="lineNum">     165 </span><span class="lineNoCov">          0 :           new VariableReferenceNode(varName, this-&gt;_classInicializedListIds[i]);</span></a>
<a name="166"><span class="lineNum">     166 </span><span class="lineNoCov">          0 :       ui-&gt;StagingArea-&gt;addWidget(n);</span></a>
<a name="167"><span class="lineNum">     167 </span><span class="lineNoCov">          0 :       p-&gt;addNode(n, new QString(&quot;VariableReferenceNode&quot;));</span></a>
<a name="168"><span class="lineNum">     168 </span>            :     }</a>
<a name="169"><span class="lineNum">     169 </span>            :   }</a>
<a name="170"><span class="lineNum">     170 </span><span class="lineNoCov">          0 : }</span></a>
<a name="171"><span class="lineNum">     171 </span>            : </a>
<a name="172"><span class="lineNum">     172 </span><span class="lineNoCov">          0 : void MainWindow::onPutNode(QListWidgetItem *item) { putNode(item, this); }</span></a>
<a name="173"><span class="lineNum">     173 </span>            : </a>
<a name="174"><span class="lineNum">     174 </span><span class="lineNoCov">          0 : void MainWindow::onDeletedReferencedNode(QString name) {</span></a>
<a name="175"><span class="lineNum">     175 </span><span class="lineNoCov">          0 :   for (int i = 0; i &lt; ui-&gt;listVars-&gt;count(); i++) {</span></a>
<a name="176"><span class="lineNum">     176 </span><span class="lineNoCov">          0 :     if (this-&gt;_inicializedVarsIds[i] == name) {</span></a>
<a name="177"><span class="lineNum">     177 </span><span class="lineNoCov">          0 :       QListWidgetItem *item = ui-&gt;listVars-&gt;item(i);</span></a>
<a name="178"><span class="lineNum">     178 </span><span class="lineNoCov">          0 :       delete item;</span></a>
<a name="179"><span class="lineNum">     179 </span><span class="lineNoCov">          0 :       this-&gt;_inicializedVarsIds.remove(i);</span></a>
<a name="180"><span class="lineNum">     180 </span><span class="lineNoCov">          0 :       this-&gt;_inicializedVars.remove(i);</span></a>
<a name="181"><span class="lineNum">     181 </span>            :     }</a>
<a name="182"><span class="lineNum">     182 </span>            :   }</a>
<a name="183"><span class="lineNum">     183 </span><span class="lineNoCov">          0 : }</span></a>
<a name="184"><span class="lineNum">     184 </span>            : </a>
<a name="185"><span class="lineNum">     185 </span><span class="lineNoCov">          0 : void MainWindow::onDeletedStartNode(Node *start) { p-&gt;removeStart(start); }</span></a>
<a name="186"><span class="lineNum">     186 </span>            : </a>
<a name="187"><span class="lineNum">     187 </span><span class="lineNoCov">          0 : void MainWindow::classAdded(QString ClassName, QVector&lt;QString&gt; publicMethods,</span></a>
<a name="188"><span class="lineNum">     188 </span>            :                             QVector&lt;QString&gt; privateMethods,</a>
<a name="189"><span class="lineNum">     189 </span>            :                             QVector&lt;QString&gt; protectedMethods,</a>
<a name="190"><span class="lineNum">     190 </span>            :                             QVector&lt;QString&gt; publicAtr,</a>
<a name="191"><span class="lineNum">     191 </span>            :                             QVector&lt;QString&gt; priavteAtr,</a>
<a name="192"><span class="lineNum">     192 </span>            :                             QVector&lt;QString&gt; protectedAtr,</a>
<a name="193"><span class="lineNum">     193 </span>            :                             QVector&lt;QString&gt; constructors) {</a>
<a name="194"><span class="lineNum">     194 </span><span class="lineNoCov">          0 :   this-&gt;p-&gt;hasClasses = true;</span></a>
<a name="195"><span class="lineNum">     195 </span><span class="lineNoCov">          0 :   this-&gt;p-&gt;oFajls.push_back(ClassName);</span></a>
<a name="196"><span class="lineNum">     196 </span><span class="lineNoCov">          0 :   this-&gt;p-&gt;setHeader((ClassName + &quot;.hpp&quot;).toUtf8().constData());</span></a>
<a name="197"><span class="lineNum">     197 </span><span class="lineNoCov">          0 :   this-&gt;_classInicializedList.push_back(ClassName);</span></a>
<a name="198"><span class="lineNum">     198 </span><span class="lineNoCov">          0 :   new QListWidgetItem(ClassName + &quot;:&quot;, ui-&gt;ClassView);</span></a>
<a name="199"><span class="lineNum">     199 </span><span class="lineNoCov">          0 :   new QListWidgetItem(&quot;constructors: &quot;, ui-&gt;ClassView);</span></a>
<a name="200"><span class="lineNum">     200 </span><span class="lineNoCov">          0 :   for (auto con : constructors) {</span></a>
<a name="201"><span class="lineNum">     201 </span><span class="lineNoCov">          0 :     QStringList list = con.split(&quot; &quot;);</span></a>
<a name="202"><span class="lineNum">     202 </span><span class="lineNoCov">          0 :     QString code = &quot;&quot;;</span></a>
<a name="203"><span class="lineNum">     203 </span><span class="lineNoCov">          0 :     for (int i = 3; i &lt; list.size(); i++) {</span></a>
<a name="204"><span class="lineNum">     204 </span><span class="lineNoCov">          0 :       code += list[i];</span></a>
<a name="205"><span class="lineNum">     205 </span><span class="lineNoCov">          0 :       code += &quot; &quot;;</span></a>
<a name="206"><span class="lineNum">     206 </span>            :     }</a>
<a name="207"><span class="lineNum">     207 </span><span class="lineNoCov">          0 :     new QListWidgetItem(&quot;\t&quot; + code, ui-&gt;ClassView);</span></a>
<a name="208"><span class="lineNum">     208 </span>            :   }</a>
<a name="209"><span class="lineNum">     209 </span>            : </a>
<a name="210"><span class="lineNum">     210 </span>            :   // FunctionView</a>
<a name="211"><span class="lineNum">     211 </span><span class="lineNoCov">          0 :   if (publicMethods.size() != 0) {</span></a>
<a name="212"><span class="lineNum">     212 </span><span class="lineNoCov">          0 :     new QListWidgetItem(&quot;public: &quot;, ui-&gt;FunctionView);</span></a>
<a name="213"><span class="lineNum">     213 </span><span class="lineNoCov">          0 :     for (auto met : publicMethods) {</span></a>
<a name="214"><span class="lineNum">     214 </span><span class="lineNoCov">          0 :       QString out = makeStringForFunction(met, ClassName);</span></a>
<a name="215"><span class="lineNum">     215 </span><span class="lineNoCov">          0 :       new QListWidgetItem(out, ui-&gt;FunctionView);</span></a>
<a name="216"><span class="lineNum">     216 </span>            :     }</a>
<a name="217"><span class="lineNum">     217 </span>            :   }</a>
<a name="218"><span class="lineNum">     218 </span><span class="lineNoCov">          0 :   if (privateMethods.size() != 0) {</span></a>
<a name="219"><span class="lineNum">     219 </span><span class="lineNoCov">          0 :     new QListWidgetItem(&quot;private: &quot;, ui-&gt;FunctionView);</span></a>
<a name="220"><span class="lineNum">     220 </span><span class="lineNoCov">          0 :     for (auto met : privateMethods) {</span></a>
<a name="221"><span class="lineNum">     221 </span><span class="lineNoCov">          0 :       QString out = makeStringForFunction(met, ClassName);</span></a>
<a name="222"><span class="lineNum">     222 </span><span class="lineNoCov">          0 :       new QListWidgetItem(out, ui-&gt;FunctionView);</span></a>
<a name="223"><span class="lineNum">     223 </span>            :     }</a>
<a name="224"><span class="lineNum">     224 </span>            :   }</a>
<a name="225"><span class="lineNum">     225 </span><span class="lineNoCov">          0 :   if (protectedMethods.size() != 0) {</span></a>
<a name="226"><span class="lineNum">     226 </span><span class="lineNoCov">          0 :     new QListWidgetItem(&quot;protected: &quot;, ui-&gt;FunctionView);</span></a>
<a name="227"><span class="lineNum">     227 </span><span class="lineNoCov">          0 :     for (auto met : protectedMethods) {</span></a>
<a name="228"><span class="lineNum">     228 </span><span class="lineNoCov">          0 :       QString out = makeStringForFunction(met, ClassName);</span></a>
<a name="229"><span class="lineNum">     229 </span><span class="lineNoCov">          0 :       new QListWidgetItem(out, ui-&gt;FunctionView);</span></a>
<a name="230"><span class="lineNum">     230 </span>            :     }</a>
<a name="231"><span class="lineNum">     231 </span>            :   }</a>
<a name="232"><span class="lineNum">     232 </span>            : </a>
<a name="233"><span class="lineNum">     233 </span>            :   // Class Attributes</a>
<a name="234"><span class="lineNum">     234 </span><span class="lineNoCov">          0 :   new QListWidgetItem(&quot;attributes: &quot;, ui-&gt;ClassView);</span></a>
<a name="235"><span class="lineNum">     235 </span><span class="lineNoCov">          0 :   if (publicAtr.size() != 0) {</span></a>
<a name="236"><span class="lineNum">     236 </span><span class="lineNoCov">          0 :     new QListWidgetItem(&quot;public: &quot;, ui-&gt;ClassView);</span></a>
<a name="237"><span class="lineNum">     237 </span><span class="lineNoCov">          0 :     for (auto atr : publicAtr) {</span></a>
<a name="238"><span class="lineNum">     238 </span><span class="lineNoCov">          0 :       new QListWidgetItem(atr, ui-&gt;ClassView);</span></a>
<a name="239"><span class="lineNum">     239 </span>            :     }</a>
<a name="240"><span class="lineNum">     240 </span>            :   }</a>
<a name="241"><span class="lineNum">     241 </span><span class="lineNoCov">          0 :   if (priavteAtr.size() != 0) {</span></a>
<a name="242"><span class="lineNum">     242 </span><span class="lineNoCov">          0 :     new QListWidgetItem(&quot;private: &quot;, ui-&gt;ClassView);</span></a>
<a name="243"><span class="lineNum">     243 </span><span class="lineNoCov">          0 :     for (auto atr : priavteAtr) {</span></a>
<a name="244"><span class="lineNum">     244 </span><span class="lineNoCov">          0 :       new QListWidgetItem(atr, ui-&gt;ClassView);</span></a>
<a name="245"><span class="lineNum">     245 </span>            :     }</a>
<a name="246"><span class="lineNum">     246 </span>            :   }</a>
<a name="247"><span class="lineNum">     247 </span><span class="lineNoCov">          0 :   if (protectedAtr.size() != 0) {</span></a>
<a name="248"><span class="lineNum">     248 </span><span class="lineNoCov">          0 :     new QListWidgetItem(&quot;proteceted: &quot;, ui-&gt;ClassView);</span></a>
<a name="249"><span class="lineNum">     249 </span><span class="lineNoCov">          0 :     for (auto atr : protectedAtr) {</span></a>
<a name="250"><span class="lineNum">     250 </span><span class="lineNoCov">          0 :       new QListWidgetItem(atr, ui-&gt;ClassView);</span></a>
<a name="251"><span class="lineNum">     251 </span>            :     }</a>
<a name="252"><span class="lineNum">     252 </span>            :   }</a>
<a name="253"><span class="lineNum">     253 </span><span class="lineNoCov">          0 : }</span></a>
<a name="254"><span class="lineNum">     254 </span>            : </a>
<a name="255"><span class="lineNum">     255 </span><span class="lineNoCov">          0 : void MainWindow::on_actionRestart_triggered() {</span></a>
<a name="256"><span class="lineNum">     256 </span><span class="lineNoCov">          0 :   qApp-&gt;quit();</span></a>
<a name="257"><span class="lineNum">     257 </span><span class="lineNoCov">          0 :   QProcess::startDetached(qApp-&gt;arguments()[0], qApp-&gt;arguments());</span></a>
<a name="258"><span class="lineNum">     258 </span><span class="lineNoCov">          0 : }</span></a>
<a name="259"><span class="lineNum">     259 </span>            : </a>
<a name="260"><span class="lineNum">     260 </span><span class="lineNoCov">          0 : void MainWindow::on_actionOpen_Code_triggered() {</span></a>
<a name="261"><span class="lineNum">     261 </span><span class="lineNoCov">          0 :   QProcess process;</span></a>
<a name="262"><span class="lineNum">     262 </span><span class="lineNoCov">          0 :   QString fileTmp = QDir::currentPath();</span></a>
<a name="263"><span class="lineNum">     263 </span><span class="lineNoCov">          0 :   int i = fileTmp.lastIndexOf('/');</span></a>
<a name="264"><span class="lineNum">     264 </span><span class="lineNoCov">          0 :   QStringRef fileTmp2(&amp;fileTmp, 0, i + 1);</span></a>
<a name="265"><span class="lineNum">     265 </span><span class="lineNoCov">          0 :   QString file = fileTmp2.toUtf8() + &quot;mainAntCode.cpp&quot;;</span></a>
<a name="266"><span class="lineNum">     266 </span>            : </a>
<a name="267"><span class="lineNum">     267 </span><span class="lineNoCov">          0 :   if (QFile::exists(file)) {</span></a>
<a name="268"><span class="lineNum">     268 </span><span class="lineNoCov">          0 :     QDesktopServices::openUrl(QUrl(file));</span></a>
<a name="269"><span class="lineNum">     269 </span>            :   } else {</a>
<a name="270"><span class="lineNum">     270 </span><span class="lineNoCov">          0 :     QMessageBox msgBox;</span></a>
<a name="271"><span class="lineNum">     271 </span><span class="lineNoCov">          0 :     msgBox.setText(&quot;Can't find mainAntCode.cpp file. Make sure you first &quot;</span></a>
<a name="272"><span class="lineNum">     272 </span>            :                    &quot;Compile or Run your program.&quot;);</a>
<a name="273"><span class="lineNum">     273 </span><span class="lineNoCov">          0 :     msgBox.exec();</span></a>
<a name="274"><span class="lineNum">     274 </span>            :   }</a>
<a name="275"><span class="lineNum">     275 </span><span class="lineNoCov">          0 : }</span></a>
<a name="276"><span class="lineNum">     276 </span>            : </a>
<a name="277"><span class="lineNum">     277 </span><span class="lineNoCov">          0 : void MainWindow::on_actionQuit_triggered() { QApplication::quit(); }</span></a>
<a name="278"><span class="lineNum">     278 </span>            : </a>
<a name="279"><span class="lineNum">     279 </span><span class="lineNoCov">          0 : void MainWindow::on_actionRun_triggered() {</span></a>
<a name="280"><span class="lineNum">     280 </span><span class="lineNoCov">          0 :   int funcNum = this-&gt;getFuncId();</span></a>
<a name="281"><span class="lineNum">     281 </span><span class="lineNoCov">          0 :   QString p1 = p-&gt;compileAndRun(funcNum);</span></a>
<a name="282"><span class="lineNum">     282 </span><span class="lineNoCov">          0 :   if (p1 == QString::fromStdString(&quot;Fali&quot;)) {</span></a>
<a name="283"><span class="lineNum">     283 </span><span class="lineNoCov">          0 :     qDebug() &lt;&lt; &quot;Fail&quot;;</span></a>
<a name="284"><span class="lineNum">     284 </span>            :   } else</a>
<a name="285"><span class="lineNum">     285 </span><span class="lineNoCov">          0 :     qDebug() &lt;&lt; p1;</span></a>
<a name="286"><span class="lineNum">     286 </span><span class="lineNoCov">          0 : }</span></a>
<a name="287"><span class="lineNum">     287 </span>            : </a>
<a name="288"><span class="lineNum">     288 </span><span class="lineCov">          1 : void MainWindow::filterFunctions() {</span></a>
<a name="289"><span class="lineNum">     289 </span>            : </a>
<a name="290"><span class="lineNum">     290 </span><span class="lineCov">          1 :   ui-&gt;listWidget-&gt;clear();</span></a>
<a name="291"><span class="lineNum">     291 </span><span class="lineCov">         47 :   for (int i = 0; i &lt; _functionList.length(); i++)</span></a>
<a name="292"><span class="lineNum">     292 </span><span class="lineCov">         46 :     if (this-&gt;_functionList[i].text().contains(ui-&gt;searchBar-&gt;text(),</span></a>
<a name="293"><span class="lineNum">     293 </span>            :                                                Qt::CaseInsensitive))</a>
<a name="294"><span class="lineNum">     294 </span><span class="lineCov">         46 :       ui-&gt;listWidget-&gt;addItem(_functionList[i].text());</span></a>
<a name="295"><span class="lineNum">     295 </span><span class="lineCov">          1 : }</span></a>
<a name="296"><span class="lineNum">     296 </span>            : </a>
<a name="297"><span class="lineNum">     297 </span><span class="lineNoCov">          0 : void MainWindow::on_AddFunction_clicked() {</span></a>
<a name="298"><span class="lineNum">     298 </span><span class="lineNoCov">          0 :   this-&gt;funcId = this-&gt;funcId + 1;</span></a>
<a name="299"><span class="lineNum">     299 </span><span class="lineNoCov">          0 :   int funcNum = this-&gt;getFuncId();</span></a>
<a name="300"><span class="lineNum">     300 </span>            : </a>
<a name="301"><span class="lineNum">     301 </span>            :   // za prozor Methods and Functions</a>
<a name="302"><span class="lineNum">     302 </span><span class="lineNoCov">          0 :   QString metAndFunc = &quot;&quot;;</span></a>
<a name="303"><span class="lineNum">     303 </span><span class="lineNoCov">          0 :   for (int i = 0; i &lt; ui-&gt;ClassView-&gt;count(); i++) {</span></a>
<a name="304"><span class="lineNum">     304 </span><span class="lineNoCov">          0 :     QListWidgetItem *item = ui-&gt;ClassView-&gt;item(i);</span></a>
<a name="305"><span class="lineNum">     305 </span><span class="lineNoCov">          0 :     metAndFunc.append(item-&gt;text());</span></a>
<a name="306"><span class="lineNum">     306 </span><span class="lineNoCov">          0 :     metAndFunc.append(&quot;\n&quot;);</span></a>
<a name="307"><span class="lineNum">     307 </span>            :   }</a>
<a name="308"><span class="lineNum">     308 </span>            : </a>
<a name="309"><span class="lineNum">     309 </span><span class="lineNoCov">          0 :   for (int i = 0; i &lt; ui-&gt;FunctionView-&gt;count(); i++) {</span></a>
<a name="310"><span class="lineNum">     310 </span><span class="lineNoCov">          0 :     QListWidgetItem *item = ui-&gt;FunctionView-&gt;item(i);</span></a>
<a name="311"><span class="lineNum">     311 </span><span class="lineNoCov">          0 :     metAndFunc.append(item-&gt;text());</span></a>
<a name="312"><span class="lineNum">     312 </span><span class="lineNoCov">          0 :     metAndFunc.append(&quot;\n&quot;);</span></a>
<a name="313"><span class="lineNum">     313 </span>            :   }</a>
<a name="314"><span class="lineNum">     314 </span>            :   // Potrebno za poziv konstruktora FunctionWindow-a</a>
<a name="315"><span class="lineNum">     315 </span><span class="lineNoCov">          0 :   QVector&lt;QString&gt; definedAttributes = {};</span></a>
<a name="316"><span class="lineNum">     316 </span>            :   auto *f = new FunctionWindow(this, &quot;FunctionWindow&quot;, funcNum, 0,</a>
<a name="317"><span class="lineNum">     317 </span><span class="lineNoCov">          0 :                                definedAttributes, metAndFunc);</span></a>
<a name="318"><span class="lineNum">     318 </span><span class="lineNoCov">          0 :   QMessageBox msgBox;</span></a>
<a name="319"><span class="lineNum">     319 </span><span class="lineNoCov">          0 :   msgBox.setText(&quot;To save the changes you have made chose 'Build-&gt;Save'.&quot;);</span></a>
<a name="320"><span class="lineNum">     320 </span><span class="lineNoCov">          0 :   f-&gt;show();</span></a>
<a name="321"><span class="lineNum">     321 </span><span class="lineNoCov">          0 :   msgBox.exec();</span></a>
<a name="322"><span class="lineNum">     322 </span><span class="lineNoCov">          0 : }</span></a>
<a name="323"><span class="lineNum">     323 </span>            : </a>
<a name="324"><span class="lineNum">     324 </span><span class="lineNoCov">          0 : void MainWindow::functionAdded(QString FunctionName) {</span></a>
<a name="325"><span class="lineNum">     325 </span><span class="lineNoCov">          0 :   if (FunctionName != &quot;&quot;) {</span></a>
<a name="326"><span class="lineNum">     326 </span><span class="lineNoCov">          0 :     new QListWidgetItem(FunctionName, ui-&gt;FunctionView);</span></a>
<a name="327"><span class="lineNum">     327 </span>            :   }</a>
<a name="328"><span class="lineNum">     328 </span><span class="lineNoCov">          0 : }</span></a>
<a name="329"><span class="lineNum">     329 </span>            : </a>
<a name="330"><span class="lineNum">     330 </span><span class="lineNoCov">          0 : auto MainWindow::makeStringForFunction(QString met, QString ClassName)</span></a>
<a name="331"><span class="lineNum">     331 </span>            :     -&gt; QString {</a>
<a name="332"><span class="lineNum">     332 </span><span class="lineNoCov">          0 :   met = met.trimmed();</span></a>
<a name="333"><span class="lineNum">     333 </span><span class="lineNoCov">          0 :   QStringList list = met.split(&quot; &quot;);</span></a>
<a name="334"><span class="lineNum">     334 </span>            :   // qDebug()&lt;&lt;list;</a>
<a name="335"><span class="lineNum">     335 </span><span class="lineNoCov">          0 :   QString code = &quot;&quot;;</span></a>
<a name="336"><span class="lineNum">     336 </span><span class="lineNoCov">          0 :   for (int i = 2; i &lt; list.size(); i++) {</span></a>
<a name="337"><span class="lineNum">     337 </span><span class="lineNoCov">          0 :     code += list[i];</span></a>
<a name="338"><span class="lineNum">     338 </span><span class="lineNoCov">          0 :     code += &quot; &quot;;</span></a>
<a name="339"><span class="lineNum">     339 </span>            :   }</a>
<a name="340"><span class="lineNum">     340 </span><span class="lineNoCov">          0 :   QString out = list[1] + &quot; &quot;;</span></a>
<a name="341"><span class="lineNum">     341 </span><span class="lineNoCov">          0 :   out += ClassName;</span></a>
<a name="342"><span class="lineNum">     342 </span><span class="lineNoCov">          0 :   out += &quot;::&quot;;</span></a>
<a name="343"><span class="lineNum">     343 </span><span class="lineNoCov">          0 :   out += code;</span></a>
<a name="344"><span class="lineNum">     344 </span><span class="lineNoCov">          0 :   return out;</span></a>
<a name="345"><span class="lineNum">     345 </span>            : }</a>
<a name="346"><span class="lineNum">     346 </span>            : </a>
<a name="347"><span class="lineNum">     347 </span><span class="lineCov">         46 : auto MainWindow::getUi() -&gt; Ui::MainWindow * { return ui; }</span></a>
<a name="348"><span class="lineNum">     348 </span>            : </a>
<a name="349"><span class="lineNum">     349 </span><span class="lineNoCov">          0 : auto MainWindow::getParser() -&gt; Parser * { return p; }</span></a>
<a name="350"><span class="lineNum">     350 </span>            : </a>
<a name="351"><span class="lineNum">     351 </span><span class="lineNoCov">          0 : auto MainWindow::getFuncId() -&gt; int { return this-&gt;funcId; }</span></a>
<a name="352"><span class="lineNum">     352 </span>            : </a>
<a name="353"><span class="lineNum">     353 </span><span class="lineNoCov">          0 : auto MainWindow::getClassId() -&gt; int { return this-&gt;classId; }</span></a>
<a name="354"><span class="lineNum">     354 </span>            : </a>
<a name="355"><span class="lineNum">     355 </span><span class="lineNoCov">          0 : void MainWindow::on_AddClass_clicked() {</span></a>
<a name="356"><span class="lineNum">     356 </span>            :   // qDebug()&lt;&lt;&quot;+Class&quot;;</a>
<a name="357"><span class="lineNum">     357 </span><span class="lineNoCov">          0 :   int classNum = getClassId();</span></a>
<a name="358"><span class="lineNum">     358 </span><span class="lineNoCov">          0 :   auto *c = new ClassWindow(this, classNum);</span></a>
<a name="359"><span class="lineNum">     359 </span><span class="lineNoCov">          0 :   QMessageBox msgBox;</span></a>
<a name="360"><span class="lineNum">     360 </span><span class="lineNoCov">          0 :   msgBox.setText(</span></a>
<a name="361"><span class="lineNum">     361 </span>            :       &quot;If you want your class to be saved you need to enter the name for the &quot;</a>
<a name="362"><span class="lineNum">     362 </span>            :       &quot;class. Class name must be one string either one word, or more words &quot;</a>
<a name="363"><span class="lineNum">     363 </span>            :       &quot;combined witn _.To save the changes you have made chose 'Build-&gt;Save'.&quot;);</a>
<a name="364"><span class="lineNum">     364 </span><span class="lineNoCov">          0 :   c-&gt;show();</span></a>
<a name="365"><span class="lineNum">     365 </span><span class="lineNoCov">          0 :   msgBox.exec();</span></a>
<a name="366"><span class="lineNum">     366 </span><span class="lineNoCov">          0 : }</span></a>
<a name="367"><span class="lineNum">     367 </span><span class="lineNoCov">          0 : void MainWindow::classAdded(QString ClassName, QString Methods,</span></a>
<a name="368"><span class="lineNum">     368 </span>            :                             QString Variables) {</a>
<a name="369"><span class="lineNum">     369 </span><span class="lineNoCov">          0 :   if (ClassName != &quot;&quot;) {</span></a>
<a name="370"><span class="lineNum">     370 </span><span class="lineNoCov">          0 :     new QListWidgetItem(ClassName, ui-&gt;ClassView);</span></a>
<a name="371"><span class="lineNum">     371 </span><span class="lineNoCov">          0 :     if (Methods != &quot;&quot;) {</span></a>
<a name="372"><span class="lineNum">     372 </span><span class="lineNoCov">          0 :       new QListWidgetItem(Methods, ui-&gt;ClassView);</span></a>
<a name="373"><span class="lineNum">     373 </span>            :     }</a>
<a name="374"><span class="lineNum">     374 </span><span class="lineNoCov">          0 :     if (Variables != &quot;&quot;) {</span></a>
<a name="375"><span class="lineNum">     375 </span><span class="lineNoCov">          0 :       new QListWidgetItem(Variables, ui-&gt;VariablesView);</span></a>
<a name="376"><span class="lineNum">     376 </span>            :     }</a>
<a name="377"><span class="lineNum">     377 </span>            :   }</a>
<a name="378"><span class="lineNum">     378 </span><span class="lineNoCov">          0 : }</span></a>
<a name="379"><span class="lineNum">     379 </span>            : </a>
<a name="380"><span class="lineNum">     380 </span><span class="lineNoCov">          0 : void MainWindow::on_actionCompile_triggered() {</span></a>
<a name="381"><span class="lineNum">     381 </span><span class="lineNoCov">          0 :   int funNum = this-&gt;getFuncId();</span></a>
<a name="382"><span class="lineNum">     382 </span><span class="lineNoCov">          0 :   qDebug() &lt;&lt; p-&gt;compile(funNum);</span></a>
<a name="383"><span class="lineNum">     383 </span><span class="lineNoCov">          0 : }</span></a>
<a name="384"><span class="lineNum">     384 </span>            : </a>
<a name="385"><span class="lineNum">     385 </span><span class="lineNoCov">          0 : void MainWindow::on_actionFormat_Code_triggered() {</span></a>
<a name="386"><span class="lineNum">     386 </span><span class="lineNoCov">          0 :   QString fileTmp = QDir::currentPath();</span></a>
<a name="387"><span class="lineNum">     387 </span><span class="lineNoCov">          0 :   int i = fileTmp.lastIndexOf('/');</span></a>
<a name="388"><span class="lineNum">     388 </span><span class="lineNoCov">          0 :   QStringRef fileTmp2(&amp;fileTmp, 0, i + 1);</span></a>
<a name="389"><span class="lineNum">     389 </span><span class="lineNoCov">          0 :   QString file = fileTmp2.toUtf8() + &quot;mainAntCode.cpp&quot;;</span></a>
<a name="390"><span class="lineNum">     390 </span><span class="lineNoCov">          0 :   QString fileFormat = fileTmp2.toUtf8() + &quot;mainAntCodeFormat.cpp&quot;;</span></a>
<a name="391"><span class="lineNum">     391 </span>            : </a>
<a name="392"><span class="lineNum">     392 </span><span class="lineNoCov">          0 :   std::ifstream currentFile;</span></a>
<a name="393"><span class="lineNum">     393 </span><span class="lineNoCov">          0 :   std::ofstream formatedFile;</span></a>
<a name="394"><span class="lineNum">     394 </span>            : </a>
<a name="395"><span class="lineNum">     395 </span><span class="lineNoCov">          0 :   currentFile.open(file.toUtf8().constData());</span></a>
<a name="396"><span class="lineNum">     396 </span><span class="lineNoCov">          0 :   formatedFile.open(fileFormat.toUtf8().constData());</span></a>
<a name="397"><span class="lineNum">     397 </span>            : </a>
<a name="398"><span class="lineNum">     398 </span><span class="lineNoCov">          0 :   if (currentFile.is_open() &amp;&amp; formatedFile.is_open()) {</span></a>
<a name="399"><span class="lineNum">     399 </span><span class="lineNoCov">          0 :     std::string format = &quot;&quot;;</span></a>
<a name="400"><span class="lineNum">     400 </span><span class="lineNoCov">          0 :     std::string tmp;</span></a>
<a name="401"><span class="lineNum">     401 </span><span class="lineNoCov">          0 :     while (std::getline(currentFile, tmp)) {</span></a>
<a name="402"><span class="lineNum">     402 </span><span class="lineNoCov">          0 :       if (tmp.find('}') != std::string::npos &amp;&amp;</span></a>
<a name="403"><span class="lineNum">     403 </span><span class="lineNoCov">          0 :           tmp.find('{') == std::string::npos)</span></a>
<a name="404"><span class="lineNum">     404 </span><span class="lineNoCov">          0 :         format.pop_back();</span></a>
<a name="405"><span class="lineNum">     405 </span><span class="lineNoCov">          0 :       formatedFile &lt;&lt; format &lt;&lt; tmp &lt;&lt; &quot;\n&quot;;</span></a>
<a name="406"><span class="lineNum">     406 </span><span class="lineNoCov">          0 :       if (tmp.find('{') != std::string::npos &amp;&amp;</span></a>
<a name="407"><span class="lineNum">     407 </span><span class="lineNoCov">          0 :           tmp.find('}') == std::string::npos)</span></a>
<a name="408"><span class="lineNum">     408 </span><span class="lineNoCov">          0 :         format += &quot;\t&quot;;</span></a>
<a name="409"><span class="lineNum">     409 </span>            :     }</a>
<a name="410"><span class="lineNum">     410 </span><span class="lineNoCov">          0 :     currentFile.close();</span></a>
<a name="411"><span class="lineNum">     411 </span><span class="lineNoCov">          0 :     formatedFile.close();</span></a>
<a name="412"><span class="lineNum">     412 </span>            :   }</a>
<a name="413"><span class="lineNum">     413 </span><span class="lineNoCov">          0 : }</span></a>
<a name="414"><span class="lineNum">     414 </span>            : </a>
<a name="415"><span class="lineNum">     415 </span><span class="lineNoCov">          0 : void MainWindow::onVarNameEntered() {</span></a>
<a name="416"><span class="lineNum">     416 </span><span class="lineNoCov">          0 :   for (Node *n : *ui-&gt;StagingArea-&gt;getNodes()) {</span></a>
<a name="417"><span class="lineNum">     417 </span><span class="lineNoCov">          0 :     for (QListWidgetItem *i : _inicializedVars) {</span></a>
<a name="418"><span class="lineNum">     418 </span><span class="lineNoCov">          0 :       if (i-&gt;text().compare(n-&gt;getNodeId()) == 0) {</span></a>
<a name="419"><span class="lineNum">     419 </span><span class="lineNoCov">          0 :         i-&gt;setText(n-&gt;getVarName());</span></a>
<a name="420"><span class="lineNum">     420 </span><span class="lineNoCov">          0 :         return;</span></a>
<a name="421"><span class="lineNum">     421 </span>            :       }</a>
<a name="422"><span class="lineNum">     422 </span>            :     }</a>
<a name="423"><span class="lineNum">     423 </span>            :   }</a>
<a name="424"><span class="lineNum">     424 </span>            : }</a>
<a name="425"><span class="lineNum">     425 </span>            : </a>
<a name="426"><span class="lineNum">     426 </span><span class="lineNoCov">          0 : void MainWindow::addVisibleInstances() {</span></a>
<a name="427"><span class="lineNum">     427 </span>            :   // Brisem sve sto je pisalo u View</a>
<a name="428"><span class="lineNum">     428 </span><span class="lineNoCov">          0 :   for (int i = 0; i &lt; ui-&gt;VariablesView-&gt;count(); i++) {</span></a>
<a name="429"><span class="lineNum">     429 </span><span class="lineNoCov">          0 :     QListWidgetItem *item = ui-&gt;VariablesView-&gt;item(i);</span></a>
<a name="430"><span class="lineNum">     430 </span><span class="lineNoCov">          0 :     delete item;</span></a>
<a name="431"><span class="lineNum">     431 </span>            :   }</a>
<a name="432"><span class="lineNum">     432 </span>            : </a>
<a name="433"><span class="lineNum">     433 </span>            :   // Dodajem samo vidljive intance</a>
<a name="434"><span class="lineNum">     434 </span><span class="lineNoCov">          0 :   for (const auto &amp;inst : this-&gt;classInstances) {</span></a>
<a name="435"><span class="lineNum">     435 </span><span class="lineNoCov">          0 :     this-&gt;_classInicializedListIds = {};</span></a>
<a name="436"><span class="lineNum">     436 </span><span class="lineNoCov">          0 :     if (inst-&gt;visible) {</span></a>
<a name="437"><span class="lineNum">     437 </span><span class="lineNoCov">          0 :       QString name = inst-&gt;instanceName-&gt;text();</span></a>
<a name="438"><span class="lineNum">     438 </span><span class="lineNoCov">          0 :       this-&gt;_classInicializedListIds.push_back(inst-&gt;getNodeId());</span></a>
<a name="439"><span class="lineNum">     439 </span><span class="lineNoCov">          0 :       QString className = inst-&gt;getClassName();</span></a>
<a name="440"><span class="lineNum">     440 </span><span class="lineNoCov">          0 :       new QListWidgetItem(className + &quot;:: &quot; + name, ui-&gt;VariablesView);</span></a>
<a name="441"><span class="lineNum">     441 </span>            :     }</a>
<a name="442"><span class="lineNum">     442 </span>            :   }</a>
<a name="443"><span class="lineNum">     443 </span><span class="lineNoCov">          0 : }</span></a>
<a name="444"><span class="lineNum">     444 </span>            : </a>
<a name="445"><span class="lineNum">     445 </span><span class="lineNoCov">          0 : void MainWindow::onReadVariablesNames() {</span></a>
<a name="446"><span class="lineNum">     446 </span><span class="lineNoCov">          0 :   auto graphScene = this-&gt;p-&gt;getGraphScene();</span></a>
<a name="447"><span class="lineNum">     447 </span><span class="lineNoCov">          0 :   for (int i = 0; i &lt; this-&gt;_inicializedVars.length(); i++) {</span></a>
<a name="448"><span class="lineNum">     448 </span><span class="lineNoCov">          0 :     qDebug() &lt;&lt; this-&gt;_inicializedVarsIds[i];</span></a>
<a name="449"><span class="lineNum">     449 </span><span class="lineNoCov">          0 :     Node *reference = graphScene[this-&gt;_inicializedVarsIds[i]];</span></a>
<a name="450"><span class="lineNum">     450 </span><span class="lineNoCov">          0 :     this-&gt;_inicializedVars[i]-&gt;setText(reference-&gt;getVarName());</span></a>
<a name="451"><span class="lineNum">     451 </span>            :   }</a>
<a name="452"><span class="lineNum">     452 </span><span class="lineNoCov">          0 : }</span></a>
</pre>
      </td>
    </tr>
  </table>
  <br>

  <table width="100%" border=0 cellspacing=0 cellpadding=0>
    <tr><td class="ruler"><img src="../../../../../../glass.png" width=3 height=3 alt=""></td></tr>
    <tr><td class="versionInfo">Generated by: <a href="http://ltp.sourceforge.net/coverage/lcov.php" target="_parent">LCOV version 1.14</a></td></tr>
  </table>
  <br>

</body>
</html>
